SQLITE3_DB_STATUS(3)

NAME
sqlite3_db_status - Database Connection Status

SYNOPSIS
int
sqlite3_db_status(sqlite3*, int op, int *pCur, int *pHiwtr, int resetFlg);

DESCRIPTION
This interface is used to retrieve runtime status information about a single database connection. The first argument is the database connection object to be interrogated. The second argument is an integer constant, taken from the set of SQLITE_DBSTATUS options, that determines the parameter to interrogate. The set of SQLITE_DBSTATUS options is likely to grow in future releases of SQLite.

The current value of the requested parameter is written into *pCur and the highest instantaneous value is written into *pHiwtr. If the resetFlg is true, then the highest instantaneous value is reset back down to the current value.

The sqlite3_db_status() routine returns SQLITE_OK on success and a non-zero error code on failure.

SEE ALSO
sqlite3(3), sqlite3_status(3), sqlite3_stmt_status(3), SQLITE_DBSTATUS_LOOKASIDE_USED(3)